package com.sun.org.glassfish.external.statistics.impl;

import java.util.ArrayList;
import com.sun.org.glassfish.external.statistics.Statistic;
import com.sun.org.glassfish.external.statistics.Stats;

public final class StatsImpl implements Stats
{
    private final StatisticImpl[] statArray;
    
    protected StatsImpl(StatisticImpl[] statisticArray) {
        this.statArray = statisticArray;
    }
    
    public synchronized Statistic getStatistic(String statisticName) {
        Statistic stat = null;
        StatisticImpl[] statArray = this.statArray;
        int length = statArray.length;
        int i = 0;
        while (i < length) {
            Statistic s = statArray[i];
            if (s.getName().equals(statisticName)) {
                stat = s;
                break;
            }
            ++i;
        }
        return stat;
    }
    
    public synchronized String[] getStatisticNames() {
        ArrayList<String> list = new ArrayList();
        for (Statistic s : this.statArray) {
            list.add(s.getName());
        }
        String[] strArray = new String[list.size()];
        return (String[])(String[])list.toArray(strArray);
    }
    
    public synchronized Statistic[] getStatistics() {
        return this.statArray;
    }
    
    public synchronized void reset() {
        for (StatisticImpl s : this.statArray) {
            s.reset();
        }
    }
}
